Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.RepMgrAckPolicy Field
ReplicationConfig Class See Also Send Feedback

Specify how master and client sites handle the acknowledgment of replication messages which is necessary for "permanent" records. The current implementation requires all sites in a replication group to configure the same acknowledgement policy.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public AckPolicy RepMgrAckPolicy

Visual Basic (Declaration)
    Public RepMgrAckPolicy As AckPolicy

Visual C++
    public:
    AckPolicy^ RepMgrAckPolicy

# See Also

ReplicationConfig Class
BerkeleyDB Namespace
ReplicationConfig..::.AckTimeout